Skip to main content
PUT
/
cluster
/
{clusterId}
/
dnsProvider
Edit cluster DNS provider
curl --request PUT \
  --url https://api.qovery.com/cluster/{clusterId}/dnsProvider \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "dns_provider": {
    "domain": "example.com"
  }
}
'
{
  "dns_provider": {
    "domain": "example.com"
  }
}

Authorizations

Authorization
string
header
required

JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '

Path Parameters

clusterId
string<uuid>
required

Cluster ID

Body

application/json
dns_provider
object
required

Response

Updated cluster DNS provider

dns_provider
object
required